# Generated by Django 4.0.6 on 2023-08-29 07:39

import django.core.validators
from django.db import migrations, models
import ucl_test_engine.models.scheduled_task
import uuid


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("ucl_test_engine", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="ScheduledTask",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(blank=True, null=True)),
                (
                    "function_name",
                    models.CharField(
                        choices=[
                            (
                                "ucl_test_engine.services.test_engine.TestEngineService.get_new_results_and_return_results_sync",
                                "get new results and return results",
                            )
                        ],
                        max_length=128,
                        unique=True,
                    ),
                ),
                (
                    "cron_string",
                    models.CharField(
                        max_length=64,
                        validators=[ucl_test_engine.models.scheduled_task.validate_cron_string],
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="TestEngineTestExecution",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("updated", models.DateTimeField(blank=True, null=True)),
                ("execution_id", models.UUIDField(unique=True)),
                ("rule_id", models.UUIDField()),
                ("response_url", models.TextField(max_length=500)),
                ("test_events", models.JSONField()),
                (
                    "result",
                    models.IntegerField(
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(-1),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
